#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	Digest
%define	pnam	Whirlpool
Summary:	Digest::Whirlpool - A 512-bit, collision-resistant, one-way hash function
Summary(pl.UTF-8):	Digest::Whirlpool - 512-bitowa, odporna na kolizje, jednokierunkowa funkcja skrótu
Name:		perl-Digest-Whirlpool
Version:	2.04
Release:	8
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b3f1c042e2ab3226a71cc51a07b3f66a
URL:		http://search.cpan.org/dist/Digest-Whirlpool/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Module-Install
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides an interface to the WHIRLPOOL hash algorithm. This module
subclasses Digest::base and can be used either directly or through
the Digest meta-module. Using the latter is recommended.

%description -l pl.UTF-8
Moduł ten udostępnia interfejs do algorytmu mieszania WHIRLPOOL.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%{__sed} -i -e '1s|#!/usr/bin/env perl$|#!%{__perl}|' script/whirlpoolsum

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%{perl_vendorarch}/Digest/*.pm
%dir %{perl_vendorarch}/auto/Digest/Whirlpool
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/Whirlpool/*.so
%{_mandir}/man?/*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Digest-Whirlpool.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 5eec331
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 5139754
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> f8b6736
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 85c7fe9
- rebuild with perl 5.34.0

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> 4b10b11
- rebuild with perl 5.32

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> ee6ae0a
- rebuild with perl 5.32

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> 7bc7ced
- fix shebang

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 7af46c6
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> f9e4740
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Mon Oct 29 2018 Adam Gołębiowski <adamg@pld-linux.org> b525fc7
- pl summary, desc

* Mon Oct 29 2018 Adam Gołębiowski <adamg@pld-linux.org> 4cdc066
- updated to 2.04
- BR: perl-Module-Install

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> f0e7a1e
- rebuild with perl 5.28.0
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 5dda975
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f603db6
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> a4134fc
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> c8af796
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 2576a64
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 17d6c3f
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 6e16dcc
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c46949
- release 2

